# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-myhdl
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-module-myhdl
Version:        0.7
Release:        alt1_4
Summary:        A python hardware description and verification language

Group:          Engineering
License:        LGPLv2+
URL:            http://myhdl.org
Source0:        http://downloads.sourceforge.net/myhdl/myhdl-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
Source44: import.info

%description
%{oldname} is a Python hardware description and verification language that 
helps you go from Python to silicon. MyHDL code can be converted to Verilog 
and VHDL. It can also be used to convert signals, do co-simulation 
with Verilog, generating test benches with test vectors for VHDL, Verilog and 
supports viewing waveform by tracing signal changes in a VCD file.

%prep
%setup -q -n myhdl-%{version}

find -name '*.txt' | xargs chmod -x
find -name '*.py'  | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc CHANGELOG.txt CHANGES.txt LICENSE.txt README.txt example
%{python_sitelibdir_noarch}/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_4
- update to new release by fcimport

* Mon Dec 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_3
- initial fc import

